# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/8b2128a2-5374-4f91-47b3-ac5f8fca5592/volume/rsync-recipes/lld-12.0.0-on-osx, last modified Wed Aug  4 08:17:37 2021
# ------------------------------------------------

package:
  name: lld
  version: 12.0.0
source:
  patches:
    - patches/0001-Set-LLVM-directories.patch
    - patches/0002-point-header-inclusion-in-lld-MachO-CMakeLists.txt-t.patch
  sha256: 129cb25cd13677aad951ce5c2deb0fe4afc1e9d98950f53b51bdcfb5a73afa0e
  url: https://github.com/llvm/llvm-project/releases/download/llvmorg-12.0.1/llvm-project-12.0.1.src.tar.xz
build:
  number: '0'
  string: hcd17e8c_0
requirements:
  build:
    - bzip2 1.0.8 h1de35cc_0
    - ca-certificates 2021.7.5 hecd8cb5_1
    - clang_bootstrap_osx-64 12.0.0 he32ed2a_2
    - cmake 3.19.6 h04fa861_0
    - expat 2.4.1 h23ab428_2
    - krb5 1.19.2 hcd88c3b_0
    - libcurl 7.71.1 hb8e4fae_2
    - libcxx 12.0.0 h2f01273_0
    - libedit 3.1.20210216 h9ed2024_1
    - libssh2 1.9.0 ha12b0ac_1
    - libuv 1.40.0 haf1e3a3_0
    - lz4-c 1.9.3 h23ab428_0
    - make 4.2.1 h3efe00b_1
    - ncurses 6.2 h0a44026_1
    - openssl 1.1.1k h9ed2024_0
    - rhash 1.4.1 hbcfaee0_1
    - xz 5.2.5 h1de35cc_0
    - zlib 1.2.11 h1de35cc_3
    - zstd 1.4.9 h322a384_0
  host:
    - libcxx 12.0.0 h2f01273_0
    - libllvm12 12.0.0 h9b2ccf5_3
    - llvm 12.0.0 h32b19bc_3
    - llvm-tools 12.0.0 h9b2ccf5_3
    - llvmdev 12.0.0 h9b2ccf5_3
    - zlib 1.2.11 h1de35cc_3
  run:
    - libllvm12 >=12.0.0,<12.1.0a0
  run_constrained:
    - llvm ==12.0.0
test:
  commands: null
about:
  home: http://llvm.org/
  license: NCSA
  license_file: lld/LICENSE.TXT
  summary: The LLVM Linker
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - isuruf
    - katietz
